package com.luca.pilot.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.data.mongodb.MongoDatabaseFactory;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.SimpleMongoClientDatabaseFactory;

/**
 * @author Wong
 * @date 2024/1/6 14:17
 */
@Slf4j
@Configuration
//@EnableMongoRepositories(basePackages = "com.luca.pilot.entity")
public class MongoEnUsTemplateConfig {

    @Value("${spring.data.en-us-mongodb.uri}")
    private String uri;

//    @Primary
    @Bean(name = "enUsMmongoTemplate")
    public MongoTemplate enUsMmongoTemplate() {
        log.info("-----------------------Backend Init MongoBaseTemplate Success -----------------------------------");
        return new MongoTemplate(enUsMmongoFactory());
    }

    @Bean
//    @Primary
    public MongoDatabaseFactory enUsMmongoFactory() {
        SimpleMongoClientDatabaseFactory simpleMongoClientDbFactory = new SimpleMongoClientDatabaseFactory(uri);
        return simpleMongoClientDbFactory;
    }

}
