package com.luca.pilot.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.time.LocalDate;

/**
 * <p>
 * 计划表
 * </p>
 *
 * @author Lt
 * @since 2021-11-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Document(collection="plan")
public class Plan extends AbstractAuditingEntity {

    /**
     * id
     */
    private Long id;

    /**
     * 租户id
     */
    private Long tenantId;

    /**
     * 项目id
     */
    private String projectCode;

    /**
     * 计划名称
     */
    private String name;

    /**
     * 计划编号
     */
    private String number;

    /**
     * 生效日期
     */
    private LocalDate effectiveDate;

    /**
     * 计划天数
     */
    private Integer days;

    /**
     * 描述
     */
    private String description;

    /**
     * 是否启用(0:禁用 1:启用)
     */
    private Integer enabled;

    /**
     * 计划二维码
     */
    private String planUrl;

    /**
     * 标签ids
     */
    private String patientTags;

    /**
     * 是否需要医生审核  0 不需要  1 需要
     */
    private Integer doctorAudit;



}
