package com.luca.pilot.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * @author jiangbangfa
 * @date 2021/7/19 下午6:13
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@Document(collection="project")
public class Project extends AbstractAuditingEntity {


    private Long id;

    private String code;

    private String name;

    private String appIds;

    private String inviteCode;

    private Long type;

    private String number;

    private Long tenantId;

    private String bidUnit;

    private String version;

//    @Field("start_at")
//    private LocalDate startAt;
//
//    @Field("end_at")
//    private LocalDate endAt;

    private String url;
    private String dashboardShowCode;

    private String dashboardShowName;

    /**
     * 日记使用 方案名称 非必填
     */
    private String schemeName;

    /**
     * 日记使用 方案编号 非必填
     */
    private String schemeCode;

//    /**
//     * 是否认证
//     */
//    @Field("enable_id_verification")
//    private Boolean enableIdVerification;


    /**
     * 0 未锁库 1 已锁库
     */
    private Integer locked;

    /**
     * 研究随访时长
     */
    private LocalDateTime studyFollowUpTime;

    /**
     * 计划人数
     */
    private Long planPeople;

}
